package com.example.what_the_fantasy.ui.components

import androidx.compose.foundation.layout.size
import androidx.compose.material3.Icon
import androidx.compose.material3.MaterialTheme
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.unit.dp
import com.example.what_the_fantasy.R

@Composable
fun VisibleIconPasswordComponent(passwordVisible : Boolean){
    Icon(
        painterResource(
            if(passwordVisible){
                R.drawable.password_visible
            }
            else{
                R.drawable.password_no_visible
            }
        ),
        contentDescription = "visible",
        modifier = Modifier
            .size(20.dp),
        tint = MaterialTheme.colorScheme.primary
    )
}